package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussUserAssess implements Serializable {
    private Integer id;

    private Integer userid;

    private String rolecode;

    private Integer directmercnum;

    private Integer validmercnum;

    private Date expiretime;

    private Byte ischeck;

    private Byte iswhite;

    private String reason;

    private String remark;

    private Date createtime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public Integer getDirectmercnum() {
        return directmercnum;
    }

    public void setDirectmercnum(Integer directmercnum) {
        this.directmercnum = directmercnum;
    }

    public Integer getValidmercnum() {
        return validmercnum;
    }

    public void setValidmercnum(Integer validmercnum) {
        this.validmercnum = validmercnum;
    }

    public Date getExpiretime() {
        return expiretime;
    }

    public void setExpiretime(Date expiretime) {
        this.expiretime = expiretime;
    }

    public Byte getIscheck() {
        return ischeck;
    }

    public void setIscheck(Byte ischeck) {
        this.ischeck = ischeck;
    }

    public Byte getIswhite() {
        return iswhite;
    }

    public void setIswhite(Byte iswhite) {
        this.iswhite = iswhite;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason == null ? null : reason.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }
}